package ui.controller;

import ui.model.Model;

public class GlobalController {

	private Model MODEL;

	public GlobalController(Model model) {
		this.MODEL = model;
	}

	/**
	 * Returns SCALE.
	 * 
	 * @return SCALE
	 */
	public int getScale() {
		return MODEL.getScale();
	}

	/**
	 * Returns SCALE Divided by 2.
	 * 
	 * @return SCALE Divided by 2
	 */
	public int getScaleDiv2() {
		return MODEL.getScaleDiv2();
	}

	/**
	 * Changes the value of SCALE and SCALEDIV2.
	 * 
	 * @param s
	 *            Scale
	 */
	public void setScale(int s) {
		MODEL.setScale(s);
	}

	/**
	 * sets the current Iteration.
	 * 
	 * @param curit
	 *            the current Iteration
	 */
	public void setCurIteration(int curit) {
		MODEL.setCurIteration(curit);
	}

	/**
	 * Returns numberOfSaves
	 * 
	 * @return numberOfSaves
	 */
	public int getNumbersOfSaves() {
		return MODEL.getNumberOfSaves();
	}

	/**
	 * sets the max number of autosaves
	 * 
	 * @param numberOfSaves,
	 *            the max number of autosaves
	 */
	public void setNumberOfSaves(int numberOfSaves) {
		MODEL.setNumberOfSaves(numberOfSaves);
		;
	}

	/**
	 * @return sets the timerSpeed
	 */
	public void setTimerSpeed(int t) {
		MODEL.setTimerSpeed(t);
	}
	
	/**
	 * @param isSimulation
	 *            boolean for for isSimulation
	 */
	public void setIsSimulation(boolean b) {
		MODEL.setIsSimulation(b);
	}

}
