package tests;

import org.junit.Before;
import org.junit.Test;

import ui.controller.ConsoleController;
import ui.model.Model;
import ui.view.Console;

import static org.junit.Assert.*;

import java.awt.Color;

public class PraktikumHolonsTestConsoleController {

	protected Model model;
	protected ConsoleController controller;

	@Before
	public void setUp() {
		model = new Model();
		model.setConsole(new Console());
		controller = new ConsoleController(model);
	}

	@Test
	public void testConsoleController() {
		controller.addTextToConsole("Hello World");
		controller.addTextToConsole("Hello World2!", new Color(255, 255, 255), 11, false, true, false);
		controller.clearConsole();

	}
}
